<?php
//автор - figura
//сайт - http://f-pt.ru
include("../sistem/cfg.dat");
include("../sistem/global.dat");
include("../temes/$teme/verh.dat");

if($status=="uzer" || $status=="moder" || $status=="admin")
{
   
   if(empty($act)){$act="index";}
   if($act=="index")
   {
      echo'<div class="razd"><B>Бандит</B></div>';
      echo'<div class="ramk">';
      echo'<img src="bandit/1.gif" alt=""><img src="bandit/2.gif" alt=""><img src="bandit/3.gif" alt=""><br>';  
      echo'<img src="bandit/7.gif" alt=""><img src="bandit/7.gif" alt=""><img src="bandit/7.gif" alt=""><br>';  
      echo'<img src="bandit/4.gif" alt=""><img src="bandit/5.gif" alt=""><img src="bandit/6.gif" alt=""><br>';  
      echo'</div>';
      echo'<div class="link"><a href="bandit.php?act=go&amp;rand='.rand(111,999).'&amp;'.SID.'">Играть</a></div>';
      echo'У вас в наличии '.$rezerv20.'<br>';
      
    }
   
   if($act=="go")
   {
      echo'<div class="razd"><B>Бандит</B></div>';
      if($rezerv20 > "0")
      {
         $num1 = mt_rand(1, 8);
         $num2 = mt_rand(1, 8);
         $num3 = mt_rand(1, 8);
         $num4 = mt_rand(1, 8);
         ///////уменьшаем шанс выпадения 7 в центре
         $num_a= mt_rand(1, 6);
         $num_b= mt_rand(1, 8);
         $num_d = array($num_a, $num_b);
         $num_e = mt_rand(0, 1); 
         $num5 = $num_d[$num_e];
         ///////
         $num6 = mt_rand(1, 8);
         $num7 = mt_rand(1, 8);
         $num8 = mt_rand(1, 8);
         $num9 = mt_rand(1, 8);
         
         
         echo'<div class="ramk">';
         echo'<img src="bandit/'.$num1.'.gif" alt=""><img src="bandit/'.$num2.'.gif" alt=""><img src="bandit/'.$num3.'.gif" alt=""><br>';
         echo'<img src="bandit/'.$num4.'.gif" alt=""><img src="bandit/'.$num5.'.gif" alt=""><img src="bandit/'.$num6.'.gif" alt=""><br>';
         echo'<img src="bandit/'.$num7.'.gif" alt=""><img src="bandit/'.$num8.'.gif" alt=""><img src="bandit/'.$num9.'.gif" alt=""><br>';
         echo'</div>';
         
         $sum=0;
         
         if ($num1 == 1 && $num2 == $num1 && $num3 == $num1) {echo'Вишенки-вехний ряд<br>'; $sum+="5";}
         if ($num4 == 1 && $num5 == $num4 && $num6 == $num4) {echo'Вишенки-средний ряд<br>'; $sum+="10";}
         if ($num7 == 1 && $num8 == $num7 && $num9 == $num7) {echo'Вишенки-нижний ряд<br>';  $sum+="5";}
         
         if ($num1 == 2 && $num2 == $num1 && $num3 == $num1) {echo'Апельсины-вехний ряд<br>'; $sum+="10";}
         if ($num4 == 2 && $num5 == $num4 && $num6 == $num4) {echo'Апельсины-средний ряд<br>'; $sum+="15";}
         if ($num7 == 2 && $num8 == $num7 && $num9 == $num7) {echo'Апельсины-нижний ряд<br>'; $sum+="10";}
         
         if ($num1 == 3 && $num2 == $num1 && $num3 == $num1) {echo'Виноград-вехний ряд<br>'; $sum+="15";}
         if ($num4 == 3 && $num5 == $num4 && $num6 == $num4) {echo'Виноград-средний ряд<br>'; $sum+="25";}
         if ($num7 == 3 && $num8 == $num7 && $num9 == $num7) {echo'Виноград-нижний ряд<br>'; $sum+="15";}
         
         if ($num1 == 4 && $num2 == $num1 && $num3 == $num1) {echo'Бананы-вехний ряд<br>'; $sum+="25";}
         if ($num4 == 4 && $num5 == $num4 && $num6 == $num4) {echo'Бананы-средний ряд<br>'; $sum+="35";}
         if ($num7 == 4 && $num8 == $num7 && $num9 == $num7) {echo'Бананы-нижний ряд<br>'; $sum+="25";}
         
         if ($num1 == 5 && $num2 == $num1 && $num3 == $num1) {echo'Яблоки-вехний ряд<br>'; $sum+="30";}
         if ($num4 == 5 && $num5 == $num4 && $num6 == $num4) {echo'Яблоки-средний ряд<br>'; $sum+="50";}
         if ($num7 == 5 && $num8 == $num7 && $num9 == $num7) {echo'Яблоки-нижний ряд<br>'; $sum+="30";}
         
         if ($num1 == 6 && $num2 == $num1 && $num3 == $num1) {echo'BAR-вехний ряд<br>'; $sum+="50";}
         if ($num4 == 6 && $num5 == $num4 && $num6 == $num4) {echo'BAR-средний ряд<br>'; $sum+="70";}
         if ($num7 == 6 && $num8 == $num7 && $num9 == $num7) {echo'BAR-нижний ряд<br>'; $sum+="55";}
         
         if ($num1 == 7 && $num2 == $num1 && $num3 == $num1) {echo'777-вехний ряд<br>'; $sum+="177";}
         if ($num4 == 7 && $num5 == $num4 && $num6 == $num4) {echo'777-средний ряд<br>'; $sum+="777";}
         if ($num7 == 7 && $num8 == $num7 && $num9 == $num7) {echo'777-нижний ряд<br>'; $sum+="177";}
         
         if ($num1 == 8 && $num2 == $num1 && $num3 == $num1) {echo'$$$-вехний ряд<br>'; $sum+="60";}
         if ($num4 == 8 && $num5 == $num4 && $num6 == $num4) {echo'$$$-средний ряд<br>'; $sum+="100";}
         if ($num7 == 8 && $num8 == $num7 && $num9 == $num7) {echo'$$$-нижний ряд<br>'; $sum+="60";}
         
         
         
         if ($num1 == 1 && $num4 == $num1 && $num7 == $num1) {echo'Вишенки-левый столбец<br>';  $sum+="5";}
         if ($num2 == 1 && $num5 == $num2 && $num8 == $num2) {echo'Вишенки-средний столбец<br>';  $sum+="10";}
         if ($num3 == 1 && $num6 == $num3 && $num9 == $num3) {echo'Вишенки-правый столбец<br>';  $sum+="5";}
         
         if ($num1 == 2 && $num4 == $num1 && $num7 == $num1) {echo'Апельсины-левый столбец<br>'; $sum+="10";}
         if ($num2 == 2 && $num5 == $num2 && $num8 == $num2) {echo'Апельсины-средний столбец<br>'; $sum+="15";}
         if ($num3 == 2 && $num6 == $num3 && $num9 == $num3) {echo'Апельсины-правый столбец<br>'; $sum+="10";}
         
         if ($num1 == 3 && $num4 == $num1 && $num7 == $num1) {echo'Виноград-левый столбец<br>'; $sum+="15";}
         if ($num2 == 3 && $num5 == $num2 && $num8 == $num2) {echo'Виноград-средний столбец<br>'; $sum+="25";}
         if ($num3 == 3 && $num6 == $num3 && $num9 == $num3) {echo'Виноград-правый столбец<br>'; $sum+="15";}
         
         if ($num1 == 4 && $num4 == $num1 && $num7 == $num1) {echo'Бананы-левый столбец<br>'; $sum+="25";}
         if ($num2 == 4 && $num5 == $num2 && $num8 == $num2) {echo'Бананы-средний столбец<br>'; $sum+="40";}
         if ($num3 == 4 && $num6 == $num3 && $num9 == $num3) {echo'Бананы-правый столбец<br>'; $sum+="25";}
         
         if ($num1 == 5 && $num4 == $num1 && $num7 == $num1) {echo'Яблоки-левый столбец<br>'; $sum+="40";}
         if ($num2 == 5 && $num5 == $num2 && $num8 == $num2) {echo'Яблоки-средний столбец<br>'; $sum+="75";}
         if ($num3 == 5 && $num6 == $num3 && $num9 == $num3) {echo'Яблоки-правый столбец<br>'; $sum+="40";}
         
         if ($num1 == 6 && $num4 == $num1 && $num7 == $num1) {echo'BAR-левый столбец<br>'; $sum+="75";}
         if ($num2 == 6 && $num5 == $num2 && $num8 == $num2) {echo'BAR-средний столбец<br>'; $sum+="100";}
         if ($num3 == 6 && $num6 == $num3 && $num9 == $num3) {echo'BAR-правый столбец<br>'; $sum+="75";}
         
         if ($num1 == 7 && $num4 == $num1 && $num7 == $num1) {echo'777-левый столбец<br>'; $sum+="100";}
         if ($num2 == 7 && $num5 == $num2 && $num8 == $num2) {echo'777-средний столбец<br>'; $sum+="150";}
         if ($num3 == 7 && $num6 == $num3 && $num9 == $num3) {echo'777-правый столбец<br>'; $sum+="100";}
         
         if ($num1 == 8 && $num4 == $num1 && $num7 == $num1) {echo'$$$-левый столбец<br>'; $sum+="150";}
         if ($num2 == 8 && $num5 == $num2 && $num8 == $num2) {echo'$$$-средний столбец<br>'; $sum+="200";}
         if ($num3 == 8 && $num6 == $num3 && $num9 == $num3) {echo'$$$-правый столбец<br>'; $sum+="150";}
         
         ///////////////////// по диагонали /////////////////////////////////////////
         
         if ($num1 == 1 && $num5 == $num1 && $num9 == $num1) {echo'Вишенки-по диагонали<br>';  $sum+="5";}
         if ($num3 == 1 && $num5 == $num3 && $num7 == $num3) {echo'Вишенки-по диагонали<br>';  $sum+="5";}
         
         if ($num1 == 2 && $num5 == $num1 && $num9 == $num1) {echo'Апельсины-по диагонали<br>';  $sum+="10";}
         if ($num3 == 2 && $num5 == $num3 && $num7 == $num3) {echo'Апельсины-по диагонали<br>';  $sum+="10";}
         
         if ($num1 == 3 && $num5 == $num1 && $num9 == $num1) {echo'Виноград-по диагонали<br>';  $sum+="15";}
         if ($num3 == 3 && $num5 == $num3 && $num7 == $num3) {echo'Виноград-по диагонали<br>';  $sum+="15";}
         
         if ($num1 == 4 && $num5 == $num1 && $num9 == $num1) {echo'Бананы-по диагонали<br>';  $sum+="25";}
         if ($num3 == 4 && $num5 == $num3 && $num7 == $num3) {echo'Бананы-по диагонали<br>';  $sum+="25";}
         
         if ($num1 == 5 && $num5 == $num1 && $num9 == $num1) {echo'Яблоки-по диагонали<br>';  $sum+="50";}
         if ($num3 == 5 && $num5 == $num3 && $num7 == $num3) {echo'Яблоки-по диагонали<br>';  $sum+="50";} 
         
         if ($num1 == 6 && $num5 == $num1 && $num9 == $num1) {echo'BAR-по диагонали<br>';  $sum+="100";}
         if ($num3 == 6 && $num5 == $num3 && $num7 == $num3) {echo'BAR-по диагонали<br>';  $sum+="100";}
         
         if ($num1 == 7 && $num5 == $num1 && $num9 == $num1) {echo'777-по диагонали<br>';  $sum+="150";}
         if ($num3 == 7 && $num5 == $num3 && $num7 == $num3) {echo'777-по диагонали<br>';  $sum+="150";}
         
         if ($num1 == 8 && $num5 == $num1 && $num9 == $num1) {echo'$$$-по диагонали<br>';  $sum+="333";}
         if ($num3 == 8 && $num5 == $num3 && $num7 == $num3) {echo'$$$-по диагонали<br>';  $sum+="333";}
         
         
         $rezerv20 = $rezerv20 - 1;
         $kod=''.$pass_real.'<||>'.$status.'<||>'.$postov.'<||>'.$golos_za.'<||>'.$golos_protiv.'<||>'.$prichina_bana.'<||>'.$time_reg.'<||>'.$den_plusa.'<||>'.$real_name.'<||>'.$real_name2.'<||>'.$gorod.'<||>'.$a_baut.'<||>'.$vozrost.'<||>'.$pol.'<||>'.$ip.'<||>'.$posled_time_pribivanij.'<||>'.$posled_time.'<||>'.$my_tema.'<||>'.$rezerv1.'<||>'.$rezerv2.'<||>'.$rezerv3.'<||>'.$rezerv4.'<||>'.$rezerv5.'<||>'.$rezerv6.'<||>'.$rezerv7.'<||>'.$rezerv8.'<||>'.$rezerv9.'<||>'.$rezerv10.'<||>'.$rezerv11.'<||>'.$rezerv12.'<||>'.$rezerv13.'<||>'.$rezerv14.'<||>'.$rezerv15.'<||>'.$rezerv16.'<||>'.$rezerv17.'<||>'.$rezerv18.'<||>'.$rezerv19.'<||>'.$rezerv20.'<||>';
         $file_login_data = fopen("$koren_dir/data/uzer/$login.dat", "w+");
         flock ($file_login_data,LOCK_EX);
         fputs($file_login_data,$kod);
         flock ($file_login_data,LOCK_UN);
         fclose($file_login_data);
         @chmod("$koren_dir/data/uzer/$login.dat", 0666);
         
         
         if(!empty($sum))
         {
            echo'Ваш выигрыш составил: <b>'.(int)$sum.'</b><br>';
            $rezerv20 = $rezerv20 + $sum;
            $kod=''.$pass_real.'<||>'.$status.'<||>'.$postov.'<||>'.$golos_za.'<||>'.$golos_protiv.'<||>'.$prichina_bana.'<||>'.$time_reg.'<||>'.$den_plusa.'<||>'.$real_name.'<||>'.$real_name2.'<||>'.$gorod.'<||>'.$a_baut.'<||>'.$vozrost.'<||>'.$pol.'<||>'.$ip.'<||>'.$posled_time_pribivanij.'<||>'.$posled_time.'<||>'.$my_tema.'<||>'.$rezerv1.'<||>'.$rezerv2.'<||>'.$rezerv3.'<||>'.$rezerv4.'<||>'.$rezerv5.'<||>'.$rezerv6.'<||>'.$rezerv7.'<||>'.$rezerv8.'<||>'.$rezerv9.'<||>'.$rezerv10.'<||>'.$rezerv11.'<||>'.$rezerv12.'<||>'.$rezerv13.'<||>'.$rezerv14.'<||>'.$rezerv15.'<||>'.$rezerv16.'<||>'.$rezerv17.'<||>'.$rezerv18.'<||>'.$rezerv19.'<||>'.$rezerv20.'<||>';
            $file_login_data = fopen("$koren_dir/data/uzer/$login.dat", "w+");
            flock ($file_login_data,LOCK_EX);
            fputs($file_login_data,$kod);
            flock ($file_login_data,LOCK_UN);
            fclose($file_login_data);
            @chmod("$koren_dir/data/uzer/$login.dat", 0666);
         }
         echo'<div class="link"><a href="bandit.php?act=go&amp;rand='.rand(111,999).'&amp;'.SID.'">Играть</a></div>';
         echo'У вас в наличии '.$rezerv20.'<br>';
         sleep(1); //задержка 1 сек
      }else
      {
         echo'У вас не хватает монет!<br>';
      }
   }
   
   if($act=="faq")
   {
      echo'<div class="razd"><B>Бандит</B></div>';
      echo 'Правила предельно просты. Нажимайте на кнопку Играть и выигрывайте монеты.<br>';
      echo 'За каждое нажатие у вас со счета списывают по 1 монетки<br>';
      echo 'Если у вам повезет и вы выиграете монеты, то то они сразу же будут перечислены вам на счет<br><br>';
      echo 'Комбинации картинок считаются по вертикали, горизонтали и даже по диагонали<br><br>';
      echo 'Список выигрышных комбинаций:<br>';
      
      echo '<img src="bandit/1.gif" alt=""> * 3 вишенки = 10 средний ряд/столбец  (5 - нижний или верхний ряд/столбец)<br>';
      echo '<img src="bandit/2.gif" alt=""> * 3 апельсина = 15 средний ряд/столбец  (10 - нижний или верхний ряд/столбец)<br>'; 
      echo '<img src="bandit/3.gif" alt=""> * 3 винограда = 25 средний ряд/столбец  (15 - нижний или верхний ряд/столбец)<br>';
      echo '<img src="bandit/4.gif" alt=""> * 3 Банана = 35 средний ряд/столбец  (25 - нижний или верхний ряд/столбец)<br>';
      echo '<img src="bandit/5.gif" alt=""> * 3 Яблока = 50 средний ряд/столбец  (30 - нижний или верхний ряд/столбец)<br>';
      echo '<img src="bandit/6.gif" alt=""> * 3 BAR = 100 по диагонали<br>';
      echo '<img src="bandit/6.gif" alt=""> * 3 BAR = 70 средний ряд/столбец  (50 - нижний или верхний ряд/столбец)<br>';
      echo '<img src="bandit/8.gif" alt=""> * 3 $$$ = 100 средний ряд/столбец  (60 - нижний или верхний ряд/столбец)<br>';
      echo '<img src="bandit/8.gif" alt=""> * 3 $$$ = 333 по диагонали<br>';
      echo '<img src="bandit/7.gif" alt=""> * 3 777 = 150 средний столбец  (100 - правый или левый столбец)<br>';
      echo '<img src="bandit/7.gif" alt=""> * 3 777 = 150 по диагонали<br>';
      echo '<img src="bandit/7.gif" alt=""> * 3 777 = 777 средний ряд  (177 - нижний или верхний ряд)<br>';
      
   }else{echo'<a href="bandit.php?act=faq&amp;'.SID.'">Правила игры</a><br>';}
   echo'<hr size="2" width="100%">';
   echo'<a href="my_menu.php?act=my&amp;'.SID.'">Назад</a><br>';
}
if($status=="gost")
{
   echo'<div class="razd"><B>ОШИБКА</B></div>';
   echo'Вы не авторизированны<br>';
   echo'<a href="../pages/rega.php?'.SID.'">Регистрация</a><br>';
   echo'<a href="../pages/avtoriza.php?'.SID.'">Вход</a><br>';
}
if($status=="ban" )
{
   echo'<div class="razd"><B>ОШИБКА</B></div>';
   echo'Вам сюда нельзя<br>';
}


echo'<a href="../index.php?'.SID.'">Главная</a> <a href="http://visavi.net/">&#169;</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>